%global modname dbusmock

Name:             python-%{modname}
Version:          0.4.0
Release:          2%{?dist}
Summary:          Mock D-Bus objects

Group:            Development/Libraries
License:          LGPLv3+
URL:              http://pypi.python.org/pypi/python-dbusmock
Source0: http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:        noarch
BuildRequires:    python-devel, python-setuptools, dbus-python, python-nose
BuildRequires:    pygobject3, dbus-x11, upower
Requires:         dbus-python, pygobject3, dbus-x11



%description
With this program/Python library you can easily create mock objects on
D-Bus. This is useful for writing tests for software which talks to
D-Bus services such as upower, systemd, ConsoleKit, gnome-session or
others, and it is hard (or impossible without root privileges) to set
the state of the real services to what you expect in your tests.


%prep
%setup -q -n %{name}-%{version}

rm -rf python-%{modname}.egg-info

%build
%{__python} setup.py build


%install

%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python} setup.py test


%files
%doc README.rst COPYING
%{python_sitelib}/*%{modname}*


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 21 2013 Bastien Nocera <bnocera@redhat.com> 0.4.0-1
- Update to 0.4.0

* Mon Jan 07 2013 Bastien Nocera <bnocera@redhat.com> 0.3.1-1
- Update to 0.3.1

* Wed Dec 19 2012 Matěj Cepl <mcepl@redhat.com> - 0.3-1
- New upstream release.

* Mon Oct 08 2012 Matěj Cepl <mcepl@redhat.com> - 0.1.1-2
- remove the bundled egg-info following the package review.

* Fri Oct 05 2012 Matěj Cepl <mcepl@redhat.com> - 0.1.1-1
- This version should actually work

* Tue Oct 02 2012 Matěj Cepl <mcepl@redhat.com> 0.0.3-1
- initial package for Fedora
